Name:           ghemical
Summary:        Molecular mechanics and quantum mechanics front end for GNOME
Version:        2.99.2
Release:        17%{?dist}
License:        GPLv2+
Group:          Applications/Engineering
URL:            http://www.uku.fi/~thassine/ghemical/
Source0:        http://www.uku.fi/~thassine/projects/download/current/%{name}-%{version}.tar.gz
Source11:       %{name}-16x16.png
Source12:       %{name}-32x32.png
Source13:       %{name}-48x48.png
BuildRequires:  desktop-file-utils
BuildRequires:  glib2-devel
BuildRequires:  gtkglext-devel
BuildRequires:  intltool
BuildRequires:  libbonoboui-devel
BuildRequires:  libghemical-devel >= 2.99.1
BuildRequires:  libglade2-devel >= 2.4.0
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  mopac7-devel >= 1.14
BuildRequires:  mpqc-devel
BuildRequires:  liboglappth-devel >= 0.98
BuildRequires:  openbabel-devel >= 2.2
Requires:       libghemical >= 2.99.1
Requires:       hicolor-icon-theme
Requires:       xorg-x11-fonts-ISO8859-1-100dpi
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Ghemical is a computational chemistry application.  Ghemical is
written in C++. It has a graphical user interface (in fact, a couple
of them), and it supports both quantum-mechanics (semi-empirical and
ab initio) models and molecular mechanics models (there is an
experimental Tripos 5.2-like force field for organic molecules). Also
a tool for reduced protein models is included. Geometry optimization,
molecular dynamics and a large set of visualization tools are
currently available.

%prep
%setup -q
# fixup character set
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && \
touch -r AUTHORS AUTHORS.conv && \
mv -f AUTHORS.conv AUTHORS
#help : use default www-browser
perl -pi -e "s|mozilla|www-browser|" src/gtk_app.cpp
cat >%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Molecular mechanics and quantum mechanics front-end for GNOME
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Education;Science;Chemistry;Physics;
Version=1.0
EOF

%build
%configure  --enable-threads --enable-openbabel
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" INSTALL="install -p" install
install -D -p -m 644 %{SOURCE11} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D -p -m 644 %{SOURCE12} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D -p -m 644 %{SOURCE13} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D -p -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog TODO COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Nov 30 2010 Dominik Mierzejewski <rpm@greysector.net> 2.99.2-17
- rebuild for new openbabel

* Wed Sep 01 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-16
- add requires xorg-x11-fonts-ISO8859-1-100dpi to get courier 12 font

* Mon Jun 28 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-15
- bump version again for missing sources

* Mon Jun 28 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-14
- bump version for missing sources

* Mon Jun 21 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-13
- Fedora review cleanup

* Sat Jun 19 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-12
- Fedora review issues:
- utf-8 AUTHORS

* Tue Apr 20 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-11
- Switch to pkg-config for liboglappth libs

* Thu Apr 08 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-10
- remove sc_ libs since those are now pulled in by libghemical

* Mon Apr 05 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-9
- changes for libghemical packaging changes

* Sat Apr 03 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-8
- changes for libghemical packaging changes
- fix spelling warning
- use find_lang macro

* Sat Jan 09 2010 Carl Byington <carl@five-ten-sg.com> 2.99.2-7
- add COPYING license file to doc

* Wed Dec 23 2009 Carl Byington <carl@five-ten-sg.com> 2.99.2-6
- install -p to preserve timestamps
- trim changelog

* Sat Dec 02 2009 Carl Byington <carl@five-ten-sg.com> 2.99.2-5
- remove unnecessary f2c requirement
- don't install zero length NEWS README files

* Wed Dec 02 2009 Carl Byington <carl@five-ten-sg.com> 2.99.2-4
- convert to fedora compatible spec file
- remove bonobo and gamess options
- trim changelog

* Fri Oct 16 2009 Guillaume Bedot <littletux@mandriva.org> 2.99.2-3mdv2010.0
- Revision: 457863
- fix buildrequires
- Add translations files
- New release
- fix buildrequires
- New release
- drop merged patch
- update license

